WSTMart 可以支持Windows/Unix服务器环境,需在PHP5.4.0及以上版本支下运行(注意:PHP5.4dev版本和PHP6均不支持)。 

    WSTMart 框架对环境没有特别模块要求,具体的应用系统运行环境要求视开发所涉及的模块。

    WSTMart底层运行的内存消耗极低,而本身的文件大小也是轻量级的,因此不会出现 空间和内存占用的瓶颈。对于刚刚接触WSTMart的新手,我们推荐使用集成开发环境WAMPServerwampserver是在Windows环境下集成了ApachePHPMySQL的开发套件,而且支持不同PHP版本、MySQL版本和Apache版本的切换)来使用WSTMart 进行本地开发和测试。

 

安装方法:
      1、确保您的PHP版本在5.4及以上版本

    访问域名(如:www.xxxxx.com)可不加其他信息,进行安装

阅读安装协议,安装协议是您安装和使用WSTMart系统的前提,您只有同意本协议才能进行WSTMart系统的安装和使用。




2、程序会进行环境检测,检测不通过的项需调整好才能进行下一步:




3、环境检测通过之后,点击下一步,进行数据库服务器配置,记住你输入的后台账号密码;数据库信息要正确,以保证程序能正常安装:




4、配置正确后,到下面页面,可进入安装好的程序的前后台:




例如

正常安装完的前台地址为:www.xxxx.com

主后台管理地址为:www.xxxx.com/admin.php